\name{ModelBase-class}
\docType{class}
\alias{ModelBase-class}
\alias{ModelBase}
\alias{mod<-}
\alias{mod}
\alias{mod,ModelBase-method}
\alias{mod<-,ModelBase,ANY-method}
\alias{mod<-,ModelBase-method}

\title{"ModelBase"}
\description{Superclass of survHD model objects (\code{ModelCustom}, etc.)}
\section{Slots}{
	 \describe{
    \item{\code{mod}}{An object representing the modelfit and can be used by customFun in order to perform predictions (class "ANY")}
}
}
\section{Accessor and replacement functions}{
The accessor and replacement functions are named after the slot. 
For the slot \code{mod} we have: 

\describe{
\item{accessor function:}{\code{mod(ModelBase-object)}}
\item{replacement function:}{\code{mod(ModelBase-object)<-}}
}
}

\author{ \email{bernau@ibe.med.uni-muenchen.deLevi Waldron \email{lwaldron@hsph.harvard.edu},Christoph Bernau}

        Anne-Laure Boulesteix \email{boulesteix@ibe.med.uni-muenchen.de}}

\seealso{
        \code{\link{ModelLearned}} }
\keyword{multivariate}