\name{predictsurvhd-methods}
\docType{methods}
\alias{predictsurvhd-methods}
\alias{predictsurvhd,ANY,matrix-method}
\alias{predictsurvhd,ANY,ExpressionSet-method}
\alias{predictsurvhd,NULL,data.frame-method}
%\alias{predict,UniCoxSurv-method}
%\alias{predict,PenalizedSurv-method}
%\alias{predict,SuperPcSurv-method}
%\alias{predict,ModelLearned-method}



\alias{predictsurvhd}



\title{General prediction method for fitted survival models}
\description{This function is internal and not to be called by the user (The user 
calls 'predict'). The following signatures are available:}
\section{Methods}{
\describe{
\item{object=NULL,newdata=NULL}{signature 0: Returns all predictions of NA if the model is NULL.}
\item{object=ModelLearned,newdata=data.frame}{signature 1a: extracts the model slot and calls the more specific method. }
\item{object=ModelLearned,newdata=missing}{signature 1b: extracts the model slot and calls the more specific method using the training data for \code{newdata}.   }
\item{object=ModelBase,newdata=data.frame}{signature 2}{Model specific prediction methods.}
\item{object=LearnOut}{signature 3a}{Performs predictions using the combined information of several models fitted in a resampling approach.}
\item{object=LearnOut}{signature 3b}{Performs predictions using the combined information of several models fitted in a resampling approach. Predicitons are obtained for data 
which are stored in the \code{LearnOut} object}
}
For further argument and output information, consult
\code{\link{predict}}.
}
\keyword{multivariate}