\name{VarSelOut-class}
\docType{class}
\alias{VarSelOut-class}
\alias{VarSelOut}
\title{"VarSelOut"}
\alias{varsel<-}
\alias{varsel}
\alias{varsel,VarSelOut-method}
\alias{varsel<-,VarSelOut,numeric-method}
\alias{criterion<-}
\alias{criterion}
\alias{criterion,VarSelOut-method}
\alias{criterion<-,VarSelOut,character-method}

\description{An object returned by the functions described in \code{\link{filter}},
             usually not created directly by the user.}
\section{Slots}{
	 \describe{
    \item{\code{varsel}:}{\code{numeric} vector of variable importance measures, e.g.
                          absolute of genewise statistics.}
                          \item{\code{criterion}}{the criterion (pvalue or coefficient) used in slot \code{importance}}
  }
}

\section{Accessor and replacement functions}{
The accessor and replacement functions are named after the slot. 
For the slot \code{varsel} we have: 

\describe{
\item{accessor function:}{\code{varsel(VarSelOut-object)}}
\item{replacement function:}{\code{varsel(VarSelOut-object)<-}}
}
}

\author{Christoph Bernau \email{bernau@ibe.med.uni-muenchen.de}
}

\seealso{\code{\link{filter}}}
\keyword{multivariate}
