\name{BestParameters-class}
\docType{class}
\alias{BestParameters-class}
\alias{BestParameters}
\alias{perf<-}
\alias{perf}
\alias{perf,BestParameters-method}
\alias{perf<-,BestParameters,numeric-method}
\alias{bestind<-}
\alias{bestind}
\alias{bestind,BestParameters-method}
\alias{bestind<-,BestParameters,numeric-method}
\alias{param<-}
\alias{param}
\alias{param,BestParameters-method}
\alias{param<-,BestParameters-method}
\alias{measure<-}
\alias{measure}
\alias{measure,BestParameters-method}
\alias{measure<-,BestParameters,MeasureC-method}

\title{"GeneSel"}
\description{Object returned by a call to \code{getBestParameters}}
\section{Slots}{
	 \describe{
    \item{\code{param}:}{a description of the best parameter}
    \item{\code{bestind}:}{the index of the best parameter in the tuning-grid}
    \item{\code{perf}:}{vector describing the 'performance' (i.e. values of the respective evaluation measure) of all tuning parameters}
    \item{\code{measure}:}{the evaluation criterion used}.
  }
}

\section{Accessor and replacement functions}{
The accessor and replacement functions are named after the slots. For example,
for the slot \code{param} we have: 

\describe{
\item{accessor function:}{\code{param(BestParameters-object)}}
\item{replacement function:}{\code{param(BestParameters-object)<-}}
}

}
\author{Christoph Bernau \email{bernau@ibe.med.uni-muenchen.de}}

\seealso{\code{\link{tune}},\code{\link{getBestParameters}}}
\keyword{multivariate}