\name{LearnOut-class}
\docType{class}
\alias{LearnOut-class}
\alias{LearnOut}
\alias{GeneSel<-}
\alias{GeneSel,LearnOut-method}
\alias{GeneSel<-,LearnOut,list-method}
\alias{y<-}
\alias{y}
\alias{y,LearnOut-method}
\alias{y<-,LearnOut,Surv-method}
\alias{nbgene<-}
\alias{nbgene}
\alias{nbgene,LearnOut-method}
\alias{nbgene<-,LearnOut,numeric-method}
\alias{threshold<-}
\alias{threshold}
\alias{threshold,LearnOut-method}
\alias{threshold<-,LearnOut,numeric-method}
\alias{ModelLearnedlist<-}
\alias{ModelLearnedlist}
\alias{ModelLearnedlist,LearnOut-method}
\alias{ModelLearnedlist<-,LearnOut,list-method}
\alias{X<-}
\alias{X}
\alias{X,LearnOut-method}
\alias{method<-}
\alias{method}
\alias{method,LearnOut-method}
\alias{LearningSets<-}
\alias{LearningSets,LearnOut-method}
\title{"LearnOut"}
\description{Object returned by \code{\link{learnSurvival}}}
\section{Slots}{
	 \describe{
    \item{\code{ModelLearnedlist}}{list of objects of class \code{\link{ModelLearned}}}
    \item{\code{X}}{gene expression matrix used in \code{learnSurvival}}
    \item{\code{y}}{survival response used in \code{learnSurvival}}
    \item{\code{GeneSel}}{object of class \code{GeneSel} used in \code{learnSurvival}}
    \item{\code{nbgene}}{number of selected genes}
  \item{\code{LearningSets}}{matrix of indices of training observations used in \code{learnSurvival}}
  \item{\code{threshold}}{threshold used for selecting genes}
  }
}

\section{Accessor and replacement functions}{
The accessor and replacement functions are named after the slots. For example,
for the slot \code{param} we have: 

\describe{
\item{accessor function:}{\code{y(LearnOut-object)}}
\item{replacement function:}{\code{y(LearnOut-object)<-}}
}
}


\author{Levi Waldron \email{lwaldron@hsph.harvard.edu},Christoph Bernau \email{bernau@ibe.med.uni-muenchen.de}

        Anne-Laure Boulesteix \email{boulesteix@ibe.med.uni-muenchen.de}}

\seealso{
        \code{\link{ModelLearned}} }
\keyword{multivariate}