\name{SurvivalProbs-class}
\docType{class}
\alias{SurvivalProbs-class}
\alias{SurvivalProbs}
\alias{SurvivalProbs<-}
\alias{SurvivalProbs}
\alias{SurvivalProbs,SurvivalProbs-method}
\alias{SurvivalProbs<-,SurvivalProbs,breslow-method}



\title{"SurvProbs"}
\description{Object returned by \code{\link{predict}}-functions in survHD if
survival probabilities are to be estimated.}
\section{Slots}{
	 \describe{
    \item{\code{SurvivalProbs}}{Object of class \code{breslow} representing the
    predicted survival probabilities.}  
  }
}

\section{Accessor and replacement functions}{
The accessor and replacement functions are named after the slot. 
For the slot \code{SurvivalProbs} we have: 

\describe{
\item{accessor function:}{\code{SurvivalProbs(SurvivalProbs-object)}}
\item{replacement function:}{\code{SurvivalProbs(SurvivalProbs-object)<-}}
}
}


\author{Christoph Bernau \email{bernau@ibe.med.uni-muenchen.de},
Levi Waldron \email{lwaldron@hsph.harvard.edu},
        Anne-Laure Boulesteix \email{boulesteix@ibe.med.uni-muenchen.de}}

\seealso{
        \code{\link{predict}} }
\keyword{multivariate}