\name{EvaluateOutput-class}
\docType{class}
\alias{EvaluateOutput-class}
\alias{EvaluateOutput}
\alias{show,EvaluateOutput-method}
\alias{result<-}
\alias{result}
\alias{result,EvaluateOutput-method}
\alias{result<-,EvaluateOutput,list-method}
\alias{additional<-}
\alias{additional}
\alias{additional,EvaluateOutput-method}
\alias{additional<-,EvaluateOutput,list-method}

\title{"EvaluateOutput"}
\description{Object returned by the method \code{\link{evaluate}}.}
\section{Slots}{
	 \describe{
    \item{\code{result}:}{A list of performance scores whose length depends on the number of validation or test sets.}
    \item{\code{measure}:}{performance measure used, s. \code{\link{evaluate}}.}
    \item{\code{additional}:}{slot for optional additional information for processing the results e.g. in \code{tune} (currently unused)}
  }
}
\section{Methods}{
  \describe{
    \item{show}{Use \code{show(EvaluateOutput-object)} for brief information.}
    
	 }
}

\section{Accessor and replacement functions}{
The accessor and replacement functions are named after the slots. For example,
for the slot \code{result} we have: 

\describe{
\item{accessor function:}{\code{result(EvaluateOutput-object)}}
\item{replacement function:}{\code{result(EvaluateOutput-object)<-}}
}
}

\author{Christoph Bernau \email{bernau@ibe.med.uni-muenchen.de}}

\seealso{\code{\link{evaluate}}}
\keyword{multivariate}
