\name{gbmbasehaz}
\alias{gbmbasehaz}


\title{Estimate baseline-hazard for Cox-based models.}
\description{Estimates the baseline-hazard based on the linear predictor given
a ModelLearned object with a Cox-based model oobject in slot \code{model}.
This function is not exported since it is meant for internal use only.}
\usage{gbmbasehaz(survout,timegrid)}
\arguments{


  \item{survout}{an object of class \code{ModelLearned}}
  \item{timegrid}{the timepoints for which the baseline hazard is to be computed}
  
}
\seealso{\code{\link{predict}}}
\keyword{multivariate}